from abc import ABC, abstractmethod

# Abstract Class
class FlyingTransport(ABC):
    @abstractmethod
    def fly(self, origin, destination, passengers):
        pass

# Non-Abstract Class
class Helicopter(FlyingTransport):
    def fly(self, origin, destination, passengers):
        print("Helicopter flying")

# Non-Abstract Class
class Airplane(FlyingTransport):
    def fly(self, origin, destination, passengers):
        print("Airplane flying")

helicopter1 = Helicopter()
airplane1 = Airplane()

helicopter1.fly("INN", "QOJ", 2) #> Helicopter flying
airplane1.fly("INN", "BER", 200) #> Airplane flying